Name:           restic-backup
Version:        0.0.git.11.d1a9e91
Release:        1%{?dist}
BuildArch:      noarch

Summary:        Systemd configuration for restic-based backups
License:        MIT

URL:            https://github.com/chrisbouchard/restic-backup
VCS:            git+https://github.com/chrisbouchard/restic-backup.git#d1a9e9169b188f50c03164c12401c74b27ec7195:

Source:         restic-backup-0.0.git.11.d1a9e91.tar.gz

BuildRequires:  systemd-rpm-macros

Requires:       libnotify
Requires:       restic
Requires:       ruby >= 3
Requires:       rubygem(colorize)
Requires:       systemd


%description
This package contains configuration for Systemd to run nightly backups using
restic.


%prep
%setup -q -n restic-backup-0.0.git.11.d1a9e91


%install
# Install helper scripts.
install --mode=755 --directory %{buildroot}%{_sbindir}
install --mode=755 --target-directory=%{buildroot}%{_sbindir} bin/*

# Install service and timer units.
install --mode=755 --directory %{buildroot}%{_userunitdir}
install --mode=644 --target-directory=%{buildroot}%{_userunitdir} systemd/*


%post
%systemd_user_post restic-backup.timer
%systemd_user_post restic-prune.timer


%preun
%systemd_user_preun restic-backup.timer
%systemd_user_preun restic-prune.timer


%files
%license LICENSE
%{_sbindir}/*
%{_userunitdir}/*


%changelog


# vim: syntax=spec
